## python-atomicwrites 1.1.0

=== debian/changelog ===
python-atomicwrites (1.1.0-1) unstable; urgency=low

  * initial release (Closes: #833845)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 09 Aug 2016 11:43:50 +0200

## python-atomicwrites 1.4.1

=== Makefile ===
release:
	python setup.py sdist bdist_wheel
	twine upload dist/*

## python-atomicwrites 1.1.5

=== debian/changelog ===
python-atomicwrites (1.1.5-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:41:15 +0000

python-atomicwrites (1.1.5-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Add pypy version of package
  * Bump debhelper compat level to 11
  * Standards-Version is 4.1.4 now (no changes)

 -- Ondřej Nový <onovy@debian.org>  Mon, 18 Jun 2018 10:30:12 +0200

python-atomicwrites (1.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 22 Aug 2016 19:13:27 +0200

=== debian/control ===
Source: python-atomicwrites
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python (>= 2.20160609~),
               pypy,
               pypy-pytest,
               pypy-setuptools,
               python-all,
               python-pytest,
               python-setuptools,
               python3-all,
               python3-pytest,
               python3-setuptools,
Standards-Version: 4.1.4
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/untitaker/python-atomicwrites
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-atomicwrites
Vcs-Git: https://salsa.debian.org/python-team/modules/python-atomicwrites.git

Package: pypy-atomicwrites
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Description: Atomic file writes - PyPy
 It uses a temporary file in the same directory as the given path. This ensures
 that the temporary file resides on the same filesystem.
 The temporary file will then be atomically moved to the target location: On
 POSIX, it will use rename if files should be overwritten, otherwise a
 combination of link and unlink.
 .
 This package contains the PyPy.

Package: python-atomicwrites
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Atomic file writes - Python 2.7
 It uses a temporary file in the same directory as the given path. This ensures
 that the temporary file resides on the same filesystem.
 The temporary file will then be atomically moved to the target location: On
 POSIX, it will use rename if files should be overwritten, otherwise a
 combination of link and unlink.
 .
 This package contains the Python 2.7 module.

Package: python3-atomicwrites
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Atomic file writes - Python 3.x
 It uses a temporary file in the same directory as the given path. This ensures
 that the temporary file resides on the same filesystem.
 The temporary file will then be atomically moved to the target location: On
 POSIX, it will use rename if files should be overwritten, otherwise a
 combination of link and unlink.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=atomicwrites

%:
	dh $@ --with pypy,python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A README.rst

## python-atomicwrites 1.4.0

=== debian/changelog ===
python-atomicwrites (1.4.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Feb 2021 23:45:49 -0500

python-atomicwrites (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/rules: Use execute_after syntax.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Jul 2020 09:48:52 -0400

python-atomicwrites (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Drop PyPy support.
  * Set Rules-Requires-Root: no.
  * Bump debhelper compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 12:28:25 +0200

python-atomicwrites (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.3.0. (Closes: #928323)
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Apr 2020 17:15:49 -0400

python-atomicwrites (1.1.5-4) unstable; urgency=medium

  * Drop python2 support; Closes: #937586

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 10:01:02 -0400

python-atomicwrites (1.1.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 18:58:07 -0400

=== debian/control ===
Source: python-atomicwrites
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python (>= 2.20160609~),
               python3-all,
               python3-pytest,
               python3-setuptools,
Standards-Version: 4.5.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/untitaker/python-atomicwrites
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-atomicwrites
Vcs-Git: https://salsa.debian.org/python-team/packages/python-atomicwrites.git
Rules-Requires-Root: no

Package: python3-atomicwrites
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Atomic file writes - Python 3.x
 It uses a temporary file in the same directory as the given path. This ensures
 that the temporary file resides on the same filesystem.
 The temporary file will then be atomically moved to the target location: On
 POSIX, it will use rename if files should be overwritten, otherwise a
 combination of link and unlink.
 .
 This package contains the Python 3.x module.

## python-atomicwrites 1.4.1

=== debian/changelog ===
python-atomicwrites (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Oct 2022 20:38:05 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 2.20160609~),
+               dh-python,
                python3-all,
                python3-pytest,
                python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/untitaker/python-atomicwrites
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-atomicwrites

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=atomicwrites

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-atomicwrites-$1\.tar\.gz/ \
  https://github.com/untitaker/python-atomicwrites/tags .*/v?(\d\S*)\.tar\.gz
